package org.kne.cloud.network;

import java.io.IOException;

public class ServiceToSocketProxy extends Proxy{
	public NetworkService getSrc() {
		return src;
	}
	public MultiProtocolSocketAddress getDes() {
		return des;
	}
	public ServiceToSocketProxy(String l, String r) {
		src=getRegister().get(l.substring(1, l.length()-1));
		des=new MultiProtocolSocketAddress(r);
	}
	private NetworkService src;
	private MultiProtocolSocketAddress des;
	@Override
	public void close() throws IOException {
		// TODO 自动生成的方法存根
		
	}
}
